/etc/default/passwd and SSH

From: Nicholas Berry (nberry@ragingwire.com)
Date: 01/24/02


Date: Wed, 23 Jan 2002 16:53:16 -0800
From: "Nicholas Berry" <nberry@ragingwire.com>
To: <focus-sun@securityfocus.com>

I am running several systems under Solaris 8 with OpenSSH 2.9 and would
like to enforce password expiration.

I noticed that SSH inherently does not give the warnings (WARNWEEKS)
when the password expiration is coming up and I was wondering if someone
has gotten this to work, or am I going to have to wait for Sun's
approved OpenSSH package in future Solaris releases to see this feature?

Thanks,
Nicholas Berry
Systems Engineer
RagingWire Telecommunications, Inc.
2710 Gateway Oaks Dr., Suite 300 South
Sacramento, CA 95833
Phone: 916.286.4048
Fax: 916.921.4148
E-mail: nberry@ragingwire.com
www.ragingwire.com



Relevant Pages

  • Re: OpenSSH Password Aging/Expiration on UW2.1.3
    ... Try using gcc compiler. ... >difficulties with UnixWare and not Solaris. ... >> Look at the thread 'OpenSSH and forced password change' ... >>> When user bob attempts to login, ...
    (comp.security.ssh)
  • Re: ssh compatability issues
    ... >> without keeping two versions of ssh around on my home computer. ... running the OpenSSH server that comes with Solaris ... By 'some old security problems with that' I was not sure if you meant ...
    (comp.security.ssh)
  • Sunfreeware OpenSSH 3.8p1 hostbased auth problem Solaris 9
    ... I've also explicitly disabled OpenSSH protocol 1. ... hostbased authentication only works when the client has ssh suid root. ... One of the OpenSSH devs suggested that for Solaris it could be hardcoded ...
    (SunManagers)
  • Proving OpenSSH 3.4p1 is using /dev/urandom (Solaris 9 ossh Vs OpenBSD ossh)
    ... I've had my battles with using a randomness generator under Solaris. ... Over the years while compiling up OpenSSH I've used AndiRAND, egd, ... OpenSSH ... However lsof does not show it being used as above. ...
    (Focus-SUN)
  • Re: Installing openssh on solaris 8 server
    ... I guess you have more fun with the packages onhttp://www.blastwave.org/ ... Older Solaris 8 versions do not have them out of the box. ... openssh package will tell you _beforehand_ if you need additional patch ... And with the blastwave infrastructure in place ...
    (comp.unix.solaris)